﻿@model IEnumerable<eCommerce.Services.Model.Transaction>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="text-center">Id</th>
            <th class="col-xs-1 text-center">Fecha</th>
            <th class="col-xs-4 text-left">Concepto</th>
            <th class="col-xs-4 text-left">Observaciones</th>
            <th class="col-xs-2 text-right">Importe</th>
            <th class="col-xs-2 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@item.TransactionId</td>
            <td class="text-center">@item.Date.ToShortDateString()</td>
            <td class="text-left">
                @if (item.TransactionDetails.Any(x => x.Deleted == null))
                {
                    var Orders = item.TransactionDetails.Where(x => x.Deleted == null).Select(x => x.OrderId).Distinct().ToArray();
                <text>Cobro por Ventas - @string.Join(", ", Orders)</text>
            }
            else
            {
                @Html.DisplayFor(modelItem => item.TransactionCategory.Name)
                @(item.OrderId.HasValue ? " #" + item.OrderId.Value : string.Empty)
                @(item.RmaItemId.HasValue ? " #" + item.RmaItem.RmaId : string.Empty)
                @(item.RefundId.HasValue ? " #" + item.RefundId.Value : string.Empty)
                @(item.ExchangeId.HasValue ? " #" + item.ExchangeId.Value : string.Empty)
            }
            </td>
            <td class="text-left">@item.Observations</td>
            <td class="text-right">
                @if ((TransactionTypeEnum)item.TransactionTypeId == TransactionTypeEnum.Ingreso)
                {
                    <span class="text-success text-semibold">
                        <i class="icon wb-chevron-up-mini" aria-hidden="true"></i> @string.Format("{0:c2}", item.Amount)
                    </span>
                }
                else
                {
                    <span class="text-danger text-semibold">
                        <i class="icon wb-chevron-down-mini" aria-hidden="true"></i> @string.Format("{0:c2}", item.Amount)
                    </span>
                }
            </td>
            <td class="text-center">
                
                @if (item.CustomerId.HasValue || (item.OrderId.HasValue && item.TransactionTypeId == (int)TransactionTypeEnum.Ingreso))
                {
                    if (item.TransactionDetails.Any())
                    {
                        <a href="/OrderPayments/CancelDebt?Id=@item.TransactionId&CustomerId=@item.CustomerId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                           data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                    }
                    else
                    {
                        var customerId = item.CustomerId.HasValue ? item.CustomerId.Value : item.Order.CustomerId;
                        <a href="/CustomerAccounting/TransactionUpdate?Id=@item.TransactionId&CustomerId=@customerId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                           data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                    }

                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                       data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.TransactionId"><i class="icon wb-trash" aria-hidden="true"></i></a>
                }

            </td>
        </tr>
    }
    </tbody>
</table>
